PLplot: plplotcanvas-hacktext.h File Reference

PLplot 5.10.0

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros
Classes | Macros | Typedefs | Functions
plplotcanvas-hacktext.h File Reference
`#include <glib.h>`
`#include <libgnomecanvas/libgnomecanvas.h>`

Go to the source code of this file.

## Classes
struct | _PlplotCanvasHacktext
struct | _PlplotCanvasHacktextClass

## Macros
#define | PLPLOT_TYPE_CANVAS_HACKTEXT ( plplot_canvas_hacktext_get_type() )
#define | PLPLOT_CANVAS_HACKTEXT(o) ( G_TYPE_CHECK_INSTANCE_CAST( ( o ), PLPLOT_TYPE_CANVAS_HACKTEXT, PlplotCanvasHacktext ) )
#define | PLPLOT_CANVAS_HACKTEXT_CLASS(k) ( G_TYPE_CHECK_CLASS_CAST( ( k ), PLPLOT_TYPE_CANVAS_HACKTEXT, PlplotCanvasHacktextClass ) )
#define | PLPLOT_IS_CANVAS_HACKTEXT(o) ( G_TYPE_CHECK_INSTANCE_TYPE( ( o ), PLPLOT_TYPE_CANVAS_HACKTEXT ) )
#define | PLPLOT_IS_CANVAS_HACKTEXT_CLASS(k) ( G_TYPE_CHECK_CLASS_TYPE( ( k ), PLPLOT_TYPE_CANVAS_HACKTEXT ) )

## Typedefs
typedef struct _PlplotCanvasHacktext | PlplotCanvasHacktext
typedef struct _PlplotCanvasHacktextPriv | PlplotCanvasHacktextPriv
typedef struct _PlplotCanvasHacktextClass | PlplotCanvasHacktextClass

## Functions
GType | plplot_canvas_hacktext_get_type (void)

## Macro Definition Documentation

#define PLPLOT_CANVAS_HACKTEXT | ( |  | o | ) | ( G_TYPE_CHECK_INSTANCE_CAST( ( o ), PLPLOT_TYPE_CANVAS_HACKTEXT, PlplotCanvasHacktext ) )

Definition at line 51 of file plplotcanvas-hacktext.h.

#define PLPLOT_CANVAS_HACKTEXT_CLASS | ( |  | k | ) | ( G_TYPE_CHECK_CLASS_CAST( ( k ), PLPLOT_TYPE_CANVAS_HACKTEXT, PlplotCanvasHacktextClass ) )

Definition at line 52 of file plplotcanvas-hacktext.h.

#define PLPLOT_IS_CANVAS_HACKTEXT | ( |  | o | ) | ( G_TYPE_CHECK_INSTANCE_TYPE( ( o ), PLPLOT_TYPE_CANVAS_HACKTEXT ) )

Definition at line 53 of file plplotcanvas-hacktext.h.

#define PLPLOT_IS_CANVAS_HACKTEXT_CLASS | ( |  | k | ) | ( G_TYPE_CHECK_CLASS_TYPE( ( k ), PLPLOT_TYPE_CANVAS_HACKTEXT ) )

Definition at line 54 of file plplotcanvas-hacktext.h.

#define PLPLOT_TYPE_CANVAS_HACKTEXT ( plplot_canvas_hacktext_get_type() )

Definition at line 50 of file plplotcanvas-hacktext.h.

## Typedef Documentation

typedef struct _PlplotCanvasHacktext PlplotCanvasHacktext

Definition at line 56 of file plplotcanvas-hacktext.h.

typedef struct _PlplotCanvasHacktextClass PlplotCanvasHacktextClass

Definition at line 58 of file plplotcanvas-hacktext.h.

typedef struct _PlplotCanvasHacktextPriv PlplotCanvasHacktextPriv

Definition at line 57 of file plplotcanvas-hacktext.h.

## Function Documentation

GType plplot_canvas_hacktext_get_type | ( | void |  | ) |

Definition at line 112 of file plplotcanvas-hacktext.c.